case setBoxModeHelp :
return Qt::Key_B;
break;
case setPathModeHelp :
return Qt::Key_L;
break;
case setPolygonModeHelp :
return Qt::Key_P;
break;
case setCellrefModeHelp :
return Qt::Key_R;
break;
case setCellrefArrayModeHelp :
return Qt::Key_A;
break;
case setTextModeHelp :
return Qt::Key_T;
break;
case setCopyModeHelp :
return Qt::Key_C;
break;
case setMoveModeHelp :
return Qt::Key_M;
break;
case setMovePointModeHelp :
return Qt::ControlModifier+Qt::Key_M;
break;
case moveByHelp :
return Qt::ShiftModifier+Qt::Key_M;
break;
case setRotateModeHelp :
return Qt::ShiftModifier+Qt::Key_R;
break;
case setMirrorModeHelp :
return Qt::Key_X;
break;
case copyToLayerHelp :
return Qt::Key_Y;
break;
case moveToLayerHelp :
return Qt::Key_W;
break;
case mergeHelp :
return Qt::Key_V;
break;
case setCutModeHelp :
return Qt::Key_Q;
break;
case deleteHelp :
return Qt::Key_D;
break;
case setPropertiesModeHelp :
return Qt::ShiftModifier+Qt::Key_P;
break;
case newDrawingHelp :
return Qt::Key_N;
break;
case openFileHelp :
return Qt::Key_O;
break;
case attachFileHelp :
return Qt::Key_I;
break;
case updateFileHelp :
return Qt::Key_U;
break;
case openImportFileHelp :
return Qt::Key_O;
break;
case openImportUpdateFileHelp :
return Qt::Key_O;
break;
case saveFileHelp :
return Qt::Key_S;
break;
case saveAsFileHelp :
return Qt::ShiftModifier+Qt::Key_S;
break;
case saveAsSaveFileHelp :
return Qt::Key_S;
break;
case screenshotHelp :
return Qt::Key_Print;
break;
case printHelp :
return Qt::ShiftModifier+Qt::Key_Print;
break;
case pointSelectHelp :
return Qt::Key_Insert;
break;
case formSelectHelp :
return Qt::Key_Home;
break;
case cellSelectHelp :
return Qt::Key_PageUp;
break;
case pointDeselectHelp :
return Qt::Key_Delete;
break;
case formDeselectHelp :
return Qt::Key_End;
break;
case cellDeselectHelp :
return Qt::Key_PageDown;
break;
case pointSelectDeselectHelp :
return Qt::Key_Insert;
break;
case formSelectDeselectHelp :
return Qt::Key_Home;
break;
case cellSelectDeselectHelp :
return Qt::Key_PageUp;
break;
case selectAllHelp :
return Qt::ShiftModifier+Qt::Key_Backspace;
break;
case selectVisibleHelp :
return Qt::Key_Space;
break;
case deselectAllHelp :
return Qt::Key_Backspace;
break;
case deSelectAllHelp :
return Qt::ShiftModifier+Qt::Key_Backspace;
break;
case scrollUpHelp :
return Qt::Key_Up;
break;
case scrollDownHelp :
return Qt::Key_Down;
break;
case scrollLeftHelp :
return Qt::Key_Left;
break;
case scrollRightHelp :
return Qt::Key_Right;
break;
case zoomPlusHelp :
return Qt::Key_Plus;
break;
case zoomMinusHelp :
return Qt::Key_Minus;
break;
case zoomPlusMinusHelp :
return Qt::Key_Slash;
break;
case zoomFullHelp :
return Qt::Key_Slash;
break;
case zoomOneHelp :
return Qt::ShiftModifier+Qt::Key_5;
break;
case setZoomModeHelp :
return Qt::Key_Asterisk;
break;
case selectCellHelp :
return Qt::Key_F3;
break;
case setSelectCellModeHelp :
return Qt::ShiftModifier+Qt::Key_F3;
break;
case setSelectCellModecellUpHelp :
return Qt::ShiftModifier+Qt::Key_F3;
break;
case setCellnameHelp :
return Qt::Key_F4;
break;
case newCellHelp :
return Qt::Key_F5;
break;
case deleteCellHelp :
return Qt::Key_Backslash;
break;
case flat1Help :
return Qt::Key_F9;
break;
case flatAllHelp :
return Qt::ShiftModifier+Qt::Key_F9;
break;
case groupSimpleHelp :
return Qt::ShiftModifier+Qt::Key_F8;
break;
case undoHelp :
return Qt::Key_F6;
break;
case redoHelp :
return Qt::Key_F7;
break;
case setGridHelp :
return Qt::Key_G;
break;
case reduceGridHelp :
return Qt::ShiftModifier+Qt::Key_Minus;
break;
case increaseGridHelp :
return Qt::ShiftModifier+Qt::Key_Plus;
break;
case autoGridHelp :
return Qt::ShiftModifier+Qt::Key_0;
break;
case gridAutoPlusMinusHelp :
return Qt::ShiftModifier+Qt::Key_0;
break;
case showGridHelp :
return Qt::ControlModifier+Qt::Key_G;
break;
case setCircleModeHelp :
return Qt::Key_E;
break;
case setSectorModeHelp :
return Qt::Key_F;
break;
case setArcModeHelp :
return Qt::Key_J;
break;
case setSpiralModeHelp :
return Qt::Key_K;
break;
case removeSmallHelp :
return Qt::Key_Z;
break;
case roundHelp :
return Qt::ControlModifier+Qt::Key_R;
break;
case sizeAdjustHelp :
return Qt::ShiftModifier+Qt::Key_1;
break;
case setscaleModeHelp :
return Qt::Key_0;
break;
case areaHelp :
return Qt::ControlModifier+Qt::Key_2;
break;
case setRulerModeHelp :
return Qt::ControlModifier+Qt::Key_1;
break;
case setAHelp :
return Qt::ShiftModifier+Qt::Key_8;
break;
case setBHelp :
return Qt::ShiftModifier+Qt::Key_9;
break;
case APlusBHelp :
return Qt::Key_5;
break;
case AMultiBHelp :
return Qt::Key_6;
break;
case AMinusBHelp :
return Qt::Key_7;
break;
case BMinusAHelp :
return Qt::Key_8;
break;
case AEorBHelp :
return Qt::Key_9;
break;
case snapGridHelp :
return Qt::ShiftModifier+Qt::Key_G;
break;
case snapPointHelp :
return Qt::ShiftModifier+Qt::Key_O;
break;
case snapLineHelp :
return Qt::ShiftModifier+Qt::Key_L;
break;
case snapMiddleHelp :
return Qt::ShiftModifier+Qt::Key_D;
break;
case snapCenterHelp :
return Qt::ShiftModifier+Qt::Key_N;
break;
case snapInterHelp :
return Qt::ShiftModifier+Qt::Key_I;
break;
case setupHelp :
return Qt::Key_F10;
break;
case setBezier2ModeHelp :
return Qt::ShiftModifier+Qt::Key_2;
break;
case setBezier3ModeHelp :
return Qt::ShiftModifier+Qt::Key_3;
break;
case setArc2ModeHelp :
return Qt::Key_H;
break;
case pathSelectHelp :
return QKeySequence();
break;
case pathDeselectHelp :
return QKeySequence();
break;
case polygonSelectHelp :
return QKeySequence();
break;
case polygonDeselectHelp :
return QKeySequence();
break;
case boxSelectHelp :
return QKeySequence();
break;
case boxDeselectHelp :
return QKeySequence();
break;
case textSelectHelp :
return QKeySequence();
break;
case textDeselectHelp :
return QKeySequence();
break;
case toPolygonHelp :
return Qt::ControlModifier+Qt::Key_P;
break;
case toBoxHelp :
return Qt::ControlModifier+Qt::Key_B;
break;
case selectLayerHelp :
return Qt::ControlModifier+Qt::Key_I;
break;
case deselectLayerHelp :
return Qt::ControlModifier+Qt::Key_L;
break;
case drcMinSizeHelp :
return QKeySequence();
break;
case drcMinElementDisHelp :
return QKeySequence();
break;
case drcOverlapingElementsHelp :
return QKeySequence();
break;
case drcMinDistanceHelp :
return QKeySequence();
break;
case drcMinDistanceOrOverlapHelp :
return QKeySequence();
break;
case drcInsideHelp :
return QKeySequence();
break;
case drcEnclosureHelp :
return QKeySequence();
break;
case drcMinOverHelp :
return QKeySequence();
break;
case drcOverlapDistanceHelp :
return QKeySequence();
break;
case drcLayerCombinationHelp :
return QKeySequence();
break;
case drcOnGridHelp :
return QKeySequence();
break;
case drcNoHolesHelp :
return QKeySequence();
break;
case drcNotchesHelp :
return QKeySequence();
break;
case drcAnglesHelp :
return QKeySequence();
break;
case drcDimensionHelp :
return QKeySequence();
break;
case drcAreaHelp :
return QKeySequence();
break;
case drcPerimeterHelp :
return QKeySequence();
break;
case drcSetLayerHelp :
return QKeySequence();
break;
case drcShowReportHelp :
return QKeySequence();
break;
case drcNoElementHelp :
return QKeySequence();
break;
case drcNoPathHelp :
return QKeySequence();
break;
case drcNoBoxHelp :
return QKeySequence();
break;
case drcNoTextHelp :
return QKeySequence();
break;
case drcNoPolygonHelp :
return QKeySequence();
break;
case drcNoCircleHelp :
return QKeySequence();
break;
case drcOnlyCircleHelp :
return QKeySequence();
break;
case setAngleModeHelp :
return Qt::ControlModifier+Qt::Key_3;
break;
case macroStartHelp :
return QKeySequence();
break;
case macroStopHelp :
return QKeySequence();
break;
case macroExecuteHelp :
return Qt::ShiftModifier+Qt::Key_F4;
break;
case macroReloadHelp :
return Qt::Key_F11;
break;
case generateTechMacroHelp :
return Qt::ShiftModifier+Qt::Key_F12;
break;
case generateViewMacroHelp :
return QKeySequence();
break;
case copyCellHelp :
return QKeySequence();
break;
case extractCellHelp :
return QKeySequence();
break;
case extractLayerHelp :
return QKeySequence();
break;
case invertSelectHelp :
return Qt::ControlModifier+Qt::Key_Backspace;
break;
case toCircleHelp :
return Qt::ControlModifier+Qt::Key_N;
break;
case zoomSelectHelp :
return Qt::ShiftModifier+Qt::Key_Slash;
break;
case setMoveXModeHelp :
return QKeySequence();
break;
case setMoveYModeHelp :
return QKeySequence();
break;
case setCircleBoxModeHelp :
return Qt::ControlModifier+Qt::Key_E;
break;
case setCircleFitModeHelp :
return Qt::ShiftModifier+Qt::Key_E;
break;
case centerHelp :
return QKeySequence();
break;
case centerXHelp :
return QKeySequence();
break;
case centerYHelp :
return QKeySequence();
break;
case alignHelp :
return QKeySequence();
break;
case alignXHelp :
return QKeySequence();
break;
case alignYHelp :
return QKeySequence();
break;
case alignValueHelp :
return QKeySequence();
break;
case alignLeftHelp :
return QKeySequence();
break;
case alignRightHelp :
return QKeySequence();
break;
case alignTopHelp :
return QKeySequence();
break;
case alignBottomHelp :
return QKeySequence();
break;
case stripUnneededHelp :
return QKeySequence();
break;
case clipboardCopyHelp :
return Qt::ControlModifier+Qt::Key_C;
break;
case clipboardPasteHelp :
return Qt::ControlModifier+Qt::Key_V;
break;
case helpHelp :
return Qt::Key_F1;
break;
case aboutHelp :
return Qt::ShiftModifier+Qt::Key_F2;
break;
case whatThisHelp :
return Qt::ShiftModifier+Qt::Key_F1;
break;
case exitHelp :
return Qt::ControlModifier+Qt::Key_Q;
break;
case commandHelp :
return QKeySequence();
break;
case lengthHelp :
return Qt::ControlModifier+Qt::Key_4;
break;
case lengthelementHelp :
return QKeySequence();
break;
case view3dsetupHelp :
return QKeySequence();
break;
case view3dallHelp :
return QKeySequence();
break;
case view3dselectHelp :
return QKeySequence();
break;
case view3dautoHelp :
return QKeySequence();
break;
case view3doffHelp :
return QKeySequence();
break;
case view3dscreenshotHelp :
return QKeySequence();
break;
case layerButtonHelp :
return QKeySequence();
break;
case view3dRotXHelp :
return QKeySequence();
break;
case view3dRotYHelp :
return QKeySequence();
break;
case view3dRotZHelp :
return QKeySequence();
break;
case nextLayoutHelp :
return Qt::Key_F2;
break;
case groupHelp :
return Qt::Key_F8;
break;
case groupStructureHelp :
return Qt::ControlModifier+Qt::Key_F8;
break;
case groupGlobalHelp :
return Qt::AltModifier+Qt::Key_F8;
break;
case cellUpHelp :
return Qt::ControlModifier+Qt::Key_F3;
break;
case stripIdenticalElementsHelp :
return QKeySequence();
break;
case netlistLoadHelp :
return QKeySequence();
break;
case netlistSaveHelp :
return QKeySequence();
break;
case netlistAddLibraryHelp :
return QKeySequence();
break;
case netlistRemoveLibraryHelp :
return QKeySequence();
break;
case netlistRebuildHelp :
return QKeySequence();
break;
case technologyLayerRemoveHelp :
return QKeySequence();
break;
case technologyLayerNewHelp :
return QKeySequence();
break;
case technologyLayerDownHelp :
return QKeySequence();
break;
case technologyLayerUpHelp :
return QKeySequence();
break;
case placeShowConnectionsHelp :
return QKeySequence();
break;
case setPlaceModeHelp :
return Qt::ControlModifier+Qt::Key_F12;
break;
case setRouteModeHelp :
return Qt::Key_F12;
break;
case route90Help :
return QKeySequence();
break;
case route45Help :
return QKeySequence();
break;
case routeadjustHelp :
return QKeySequence();
break;
case setNodeModeHelp :
return QKeySequence();
break;
case buildConnectHelp :
return QKeySequence();
break;
case saveGenNetHelp :
return QKeySequence();
break;
case lvsHelp :
return QKeySequence();
break;
case registerLicenseHelp :
return QKeySequence();
break;
case layerManagerHelp :
return Qt::ShiftModifier+Qt::Key_F10;
break;
case compareCellHelp :
return Qt::ShiftModifier+Qt::Key_C;
break;
case toMeshHelp :
return Qt::ControlModifier+Qt::Key_S;
break;
case cropSharpAnglesHelp :
return Qt::ControlModifier+Qt::Key_A;
break;
case setBarcodeCode39ModeHelp :
return QKeySequence();
break;
case setBarcodeCode39Mod43ModeHelp :
return QKeySequence();
break;
case setBarcodeCode128ModeHelp :
return QKeySequence();
break;
case setBarcodeCode128AModeHelp :
return QKeySequence();
break;
case setBarcodeCode128BModeHelp :
return QKeySequence();
break;
case setBarcodeCode128CModeHelp :
return QKeySequence();
break;
case setDatamatrixModeHelp :
return QKeySequence();
break;
case cropWithSelectionHelp :
return Qt::ShiftModifier+Qt::Key_W;
break;
case modifyCornersHelp :
return Qt::ControlModifier+Qt::Key_O;
break;
case setCellOriginHelp :
return Qt::ShiftModifier+Qt::Key_T;
break;
case closedPathToPolygonHelp :
return Qt::ControlModifier+Qt::Key_D;
break;
case insertPointHelp :
return Qt::ControlModifier+Qt::Key_T;
break;
case routeFineHelp :
return QKeySequence();
break;
case mergeToHelp :
return Qt::ShiftModifier+Qt::Key_V;
break;
case setElementSizeModeHelp :
return Qt::ControlModifier+Qt::Key_5;
break;
case generate3dSetupMacroHelp :
return QKeySequence();
break;
case setLayerAHelp :
return Qt::ControlModifier+Qt::Key_8;
break;
case setLayerBHelp :
return Qt::ControlModifier+Qt::Key_9;
break;
case schematicHelp :
return Qt::ControlModifier+Qt::Key_H;
break;
case openLayoutHelp :
return QKeySequence();
break;
case detailsAutoHelp :
return QKeySequence();
break;
case detailsAllHelp :
return QKeySequence();
break;
case detailsLevel1Help :
return QKeySequence();
break;
case detailsLevel2Help :
return QKeySequence();
break;
case detailsLevel3Help :
return QKeySequence();
break;
case gotoxyHelp :
return Qt::ShiftModifier+Qt::Key_X;
break;
case copyByHelp :
return Qt::ShiftModifier+Qt::Key_B;
break;
case setSelectEditHelp :
return QKeySequence();
break;
case stripEmptyCellsHelp :
return QKeySequence();
break;
case removeCellArrayHelp :
return QKeySequence();
break;
case removeNotOrthogonalRefHelp :
return QKeySequence();
break;
case oaLibCreateHelp :
return QKeySequence();
break;
case oaSetLibHelp :
return QKeySequence();
break;
case oaOpenHelp :
return QKeySequence();
break;
case oaReadLayerHelp :
return QKeySequence();
break;
case oaAddLibHelp :
return QKeySequence();
break;
case oaVersionHelp :
return QKeySequence();
break;
case oaLoadNetHelp :
return QKeySequence();
break;
case removeScaledRefHelp :
return QKeySequence();
break;
case oaCellInfoHelp :
return QKeySequence();
break;
case macroeditHelp :
return QKeySequence();
break;
case backgroundsetHelp :
return QKeySequence();
break;
case backgroundallclearHelp :
return QKeySequence();
break;
case closeDesignHelp :
return Qt::ShiftModifier+Qt::Key_Q;
break;
case selectCellNameHelp :
return QKeySequence();
break;
case backgroundclearHelp :
return QKeySequence();
break;
case centerBackgroundHelp :
return QKeySequence();
break;
case placeBackgroundHelp :
return QKeySequence();
break;
case backgroundSetColorHelp :
return QKeySequence();
break;
case backgroundChooseColorHelp :
return QKeySequence();
break;
case backgroundPreviewColorHelp :
return QKeySequence();
break;
case setPreviousCellHelp :
return Qt::AltModifier+Qt::Key_F3;
break;
case setUserunitsHelp :
return QKeySequence();
break;
case snapShapesHelp :
return Qt::ShiftModifier+Qt::Key_A;
break;
case setActiveLayerHelp :
return Qt::Key_1;
break;
case setVisibilityLayerHelp :
return Qt::Key_2;
break;
case setHideOtherLayerHelp :
return Qt::Key_3;
break;
case setAllLayerHelp :
return Qt::Key_4;
break;
case hideUnusedLayersHelp :
return QKeySequence();
break;
case disableUnusedLayersHelp :
return QKeySequence();
break;
case enableAllLayersHelp :
return QKeySequence();
break;
case layerListHelp :
return QKeySequence();
break;
case layerBlockHelp :
return QKeySequence();
break;
case layerABCHelp :
return QKeySequence();
break;
case layer123Help :
return QKeySequence();
break;
case hideCurUnusedLayersHelp :
return QKeySequence();
break;
case schematicBusHelp :
return QKeySequence();
break;
case schematicWireHelp :
return QKeySequence();
break;
case lableNodeHelp :
return QKeySequence();
break;
case portHelp :
return QKeySequence();
break;
case busportHelp :
return QKeySequence();
break;
case schematicLineHelp :
return QKeySequence();
break;
case schematicRectHelp :
return QKeySequence();
break;
case schematicCircleHelp :
return QKeySequence();
break;
case schematicArcHelp :
return QKeySequence();
break;
case schematicTextHelp :
return QKeySequence();
break;
case schematicNewHelp :
return QKeySequence();
break;
case schematicNameHelp :
return QKeySequence();
break;
case schematicDeleteHelp :
return QKeySequence();
break;
case schematicPolygonHelp :
return QKeySequence();
break;
case addSchematicLibHelp :
return QKeySequence();
break;
case removeSchematicLibHelp :
return QKeySequence();
break;
case newComponentHelp :
return QKeySequence();
break;
case editComponentHelp :
return QKeySequence();
break;
case schematicLibSelectHelp :
return QKeySequence();
break;
case schematicGroundHelp :
return QKeySequence();
break;
case schematicColorHelp :
return QKeySequence();
break;
case schematicEditHelp :
return QKeySequence();
break;
case toLayoutHelp :
return QKeySequence();
break;
case toComponenttHelp :
return QKeySequence();
break;
case execHelp :
return QKeySequence();
break;
